%define ver_major 2.32
%define _oldname gnome2-utils

Name: gnome-utils
Version: %ver_major.0
Release: alt2

Summary: Utilities for the GNOME 2.0 desktop
License: LGPL2+
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch1: %name-2.28.1-alt-desktopfiles.patch
Patch2: %name-2.32.0-alt-new_gtk.patch

Provides: %_oldname = %version-%release
Obsoletes: %_oldname < 2.14

# From configure.in
%define glib_ver 2.20.0
%define gtk_ver 2.20.0
%define libgnome_panel_ver 2.13.4
%define libgtop_ver 2.12.0

Requires: gnome-dictionary-applet = %version-%release
Requires: gnome-search-tool = %version-%release
Requires: gnome-system-log = %version-%release
Requires: gnome-screenshot = %version-%release

BuildPreReq: rpm >= 4.0.4-alt14

BuildPreReq: rpm-build-gnome >= 0.5

# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35.0
BuildPreReq: glib2-devel >= %glib_ver libgio-devel
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-panel-devel >= %libgnome_panel_ver
BuildPreReq: libgtop-devel >= %libgtop_ver
BuildPreReq: libXt-devel libXext-devel libX11-devel libXmu-devel libICE-devel
BuildPreReq: scrollkeeper libcanberra-gtk2-devel zlib-devel
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: gnome-doc-utils

BuildRequires: libGConf-devel  perl-XML-Parser

%description
GNOME Utilities for the GNOME desktop contains the following:

System Log Viewer - monitor and view system log files.
Search Tool       - search for files on your system using simple
		    and advanced search options.
Dictionary        - look up an online dictionary for definitions
		    and correct spelling of words.
Floppy Format     - format floppy disks under Linux.
Baobab (Disk Usage) - show the amount of space taken by directories
                    in a nice graphical way.

%package common
Summary: Common files for GNOME utilities
Group: Graphical desktop/GNOME
Obsoletes: %_oldname-common < 2.14
Provides: %_oldname-common = %version-%release
PreReq: scrollkeeper
PreReq: GConf2

%description common
This package contains common files needed to run GNOME utilities.

%package -n libgdict
Summary: GNOME Dictionary Library.
Group: System/Libraries

%description -n libgdict
This package provides a shared GNOME Dictionary Library.

%package -n libgdict-devel
Summary: Development files for GNOME Dictionary Library.
Group: Development/C
Provides: gnome-dictionary-devel = %version-%release
Requires: libgdict = %version-%release

%description -n libgdict-devel
Files necessary to develop applications that use GNOME Dictionary.

%package -n libgdict-devel-doc
Summary: Development documentation for GNOME Dictionary.
Group: Development/C
BuildArch: noarch
Provides: gnome-dictionary-devel-doc = %version-%release
Conflicts: libgdict < %version

%description -n libgdict-devel-doc
Documentation necessary to develop applications that use GNOME
Dictionary Library.

%package -n gnome-dictionary
Summary: Gnome client for MIT dictionary server
Group: Graphical desktop/GNOME
Obsoletes: %_oldname-gnome-dictionary < 2.14
Provides: %_oldname-gnome-dictionary = %version-%release
PreReq: %name-common = %version-%release
Requires: libgdict = %version-%release

%description -n gnome-dictionary
Dictionary - look up an online dictionary for definitions  		
and correct spelling of words.

%package -n gnome-dictionary-applet
Summary: GNOME panel applet for gnome-dictionary
Group: Graphical desktop/GNOME
PreReq: %name-common = %version-%release
Obsoletes: %_oldname-gdict-applet < 2.14
Provides: %_oldname-gdict-applet = %version-%release
Requires: libgdict = %version-%release

%description -n gnome-dictionary-applet
GNOME panel applet for gnome-dictionary (Gnome client for MIT dictionary
server).

%package -n gnome-search-tool
Summary: The GNOME Search Tool
Group: Graphical desktop/GNOME
Obsoletes: %_oldname-gnome-search-tool < 2.14
Provides: %_oldname-gnome-search-tool = %version-%release
PreReq: %name-common = %version-%release

%description -n gnome-search-tool
Search Tool - search for files on your system using simple
and advanced search options.

%package -n gnome-screenshot
Summary: The GNOME Screenshot Tool
Group: Graphical desktop/GNOME
Obsoletes: %_oldname-gnome-screenshot < 2.14
Provides: %_oldname-gnome-screenshot = %version-%release
PreReq: %name-common = %version-%release

%description -n gnome-screenshot
Screenshot Tool makes screenshots from desktop.

%package -n gnome-system-log
Summary: The GNOME logfile viewer
Group: Graphical desktop/GNOME
Obsoletes: %_oldname-gnome-system-log < 2.14
Provides: %_oldname-gnome-system-log = %version-%release
PreReq: %name-common = %version-%release

%description -n gnome-system-log
System Log Viewer - monitor and view system log files.

%package -n gnome-disk-usage
Summary: The GNOME disk usage analyser.
Group: Graphical desktop/GNOME
Provides: baobab = %version-%release
PreReq: %name-common = %version-%release

%description -n gnome-disk-usage
Baobab is a graphical tool to analyse disk usage in local and remote
filesystems.

%prep
%setup -q
%patch1 -p1
%patch2

rm -f gsearchtool/*.{desktop,schemas}

%build
# quick fix for logview/test/test-reader that requires zlib
export LDFLAGS="$LDFLAGS -lz"
%configure \
    --enable-ipv6 \
    --disable-scrollkeeper \
    --disable-schemas-install \

%make_build

%install
%makeinstall

pushd %buildroot%_bindir
ln -s baobab gnome-disk-usage
popd

%define utils gfloppy gnome-dictionary gnome-search-tool gnome-system-log baobab
%find_lang --with-gnome %name %name-2.0 %utils

%post -n gnome-dictionary
%gconf2_install gnome-dictionary

%post -n gnome-search-tool
%gconf2_install gnome-search-tool

%post -n gnome-screenshot
%gconf2_install gnome-screenshot

%post -n gnome-system-log
%gconf2_install gnome-system-log

%post -n gnome-disk-usage
%gconf2_install baobab

%preun -n gnome-dictionary
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-dictionary
fi

%preun -n gnome-search-tool
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-search-tool
fi

%preun -n gnome-screenshot
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-screenshot
fi

%preun -n gnome-system-log
if [ $1 = 0 ]; then
    %gconf2_uninstall gnome-system-log
fi

%preun -n gnome-disk-usage
if [ $1 = 0 ]; then
%gconf2_uninstall baobab
fi

%define svgicons_dir %_iconsdir/hicolor/scalable/apps/

%files

%files common -f %name-2.0.lang
%doc AUTHORS ChangeLog NEWS README THANKS

%files -n libgdict -f gnome-dictionary.lang
%_libdir/libgdict-1.0.so.*
%dir %_datadir/gdict-1.0
%_datadir/gdict-1.0/sources

%files -n libgdict-devel
%dir %_includedir/gdict-1.0
%_includedir/gdict-1.0/gdict
%_libdir/libgdict-1.0.so
%_libdir/pkgconfig/gdict-1.0.pc

%files -n libgdict-devel-doc
%_datadir/gtk-doc/html/*

%files -n gnome-dictionary
%_bindir/gnome-dictionary
%_datadir/gnome-dictionary
%_desktopdir/gnome-dictionary.desktop
%_man1dir/gnome-dictionary.*
%config %gconf_schemasdir/gnome-dictionary.schemas

%files -n gnome-dictionary-applet
%_libexecdir/gnome-dictionary-applet
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/*/*

%files -n gnome-search-tool -f gnome-search-tool.lang
%_bindir/gnome-search-tool
%_desktopdir/gnome-search-tool.desktop
%dir %_datadir/pixmaps/gsearchtool
%_datadir/pixmaps/gsearchtool/*
%_man1dir/gnome-search-tool.1.*
%config %gconf_schemasdir/gnome-search-tool.schemas

%files -n gnome-system-log -f gnome-system-log.lang
%_bindir/gnome-system-log
%_desktopdir/gnome-system-log.desktop
%_datadir/%name/logview-toolbar.xml
%_datadir/gnome-utils/logview-filter.ui
%_man1dir/gnome-system-log.1.*
%config %gconf_schemasdir/gnome-system-log.schemas

%files -n gnome-screenshot
%_bindir/gnome-panel-screenshot
%_bindir/gnome-screenshot
%_datadir/gnome-screenshot
%_desktopdir/gnome-screenshot.desktop
%_man1dir/gnome-screenshot.1*
%config %gconf_schemasdir/gnome-screenshot.schemas

%files -n gnome-disk-usage -f baobab.lang
%_bindir/baobab
%_bindir/gnome-disk-usage
%_desktopdir/baobab.desktop
%_datadir/baobab
%_iconsdir/hicolor/*/apps/baobab.*
%_man1dir/baobab.1.*
%config %gconf_schemasdir/baobab.schemas

%exclude %_libdir/*.a
%exclude %_iconsdir/hicolor/icon-theme.cache


%changelog
* Sun Mar 13 2011 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt2
- fixed build with newer gtk

* Mon Oct 18 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Wed Mar 31 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Sat Feb 27 2010 Yuri N. Sedunov <aris@altlinux.org> 2.28.3-alt1
- 2.28.3
- fixed find_lang usage

* Wed Jan 13 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5

* Sat Nov 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt2
- removed generated *-.{desktop,schemas} from gsearchtool sources
- fixed "Categories" in .desktop files (closes #21017)

* Mon Oct 26 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0
- updated buildreqs
- removed obsolete gfloppy package

* Thu Jun 04 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt2
- new libgdict{,-devel{,-doc}} packages

* Wed Mar 18 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Wed Jan 28 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.2-alt1
- 2.25.2
- removed obsolete %%post{,un} scripts
- updated buildreqs

* Mon Oct 20 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Mon Sep 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Mon Jun 30 2008 Yuri N. Sedunov <aris@altlinux.org> 2.20.0.1-alt2
- %%_datadir/baobab/pixmaps owned by gnome-disk-usage

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.20.0.1-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for gnome-utils-gfloppy

* Fri Nov 23 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.0.1-alt1
- new version (2.20.0.1)
- add Packager

* Wed Jul 25 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.1-alt2
- rebuild

* Sun Jul 22 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.1-alt1
- new version (2.18.1)
- updated the list of files
- use macros from rpm-build-gnome

* Wed Dec 27 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version (2.16.2)
- description of the virtual package updated.

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- new subpackage, gnome-disk-usage, for Baobab tool.
- spec improved with some useful macros
- developer's documentation on libgdict now hits gnome-dictionary-devel, not
  gnome-dictionary.

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)
- the package renamed from gnome2-utils to gnome-utils.
- spec cleanup (bless --disable-scrollkeeper and --disable-schemas-install).

* Sat Mar 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.95-alt1
- new version (2.13.95)
- fixed gnome2-utils package requires according to the changes in the names
  of subpackages.

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.93-alt1
- new version (2.13.93)
- cleaned up the spec, revised dependencies
- removed Debian menu support
- removed gnome2-utils prefix from names of most packages
- introduced gnome-dictionary-devel package (provides libgdict-devel)

* Tue Nov 15 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Sat Oct 22 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Fri Oct 07 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- The menu item for gnome-dictionary is in Applications/Text tools (Bug #4434)

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sat Sep 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Wed Apr 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.91-alt1
- 2.7.91

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Tue Oct 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Sep 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fixed buildreqs.

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sun Jun 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- gdialog obsoletes, raplaced by zenity.
- gnomedesktop2mdkmenu.pl used to generate menu files.
- /etc/pam.d/gnome-system-log adopted for new PAM configuration policy
  (requires pam >= 0.75-alt20).

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- Obsoletes gnome2-utils-{calculator,character-map},
  replaced by gcalctool and gucharmap respectively.

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.3-alt1
- 2.2.0.3

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- archive-generator removed from project.

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt2
- rebuild with new pango, gtk+

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1.1
- Buildreqs updated
- files section for archive-generator fixed.
- gnome2-utils virtual package install all utils.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.

